## tcos 0.89.86

=== Makefile ===
##
##     TCOS Makefile
##
##    mariodebian \/at\/ gmail \/dot\/ com
ARCH:=$(shell dpkg-architecture -qDEB_BUILD_ARCH)


all:
	$(MAKE) -C hex2ascii
	$(MAKE) -C xmlrpc
	$(MAKE) -C udev
	$(MAKE) -C lockscreen
	$(MAKE) -C tnc
	$(MAKE) -C dbus
	$(MAKE) -C session-cmd
	$(MAKE) -C tcos-standalone
	$(MAKE) -C tmixer

include common.mk


clean:
	@find * |grep "~" | xargs rm -rf --
	@rm -f build-stamp configure-stamp
	$(MAKE) -C hex2ascii  clean
	$(MAKE) -C xmlrpc     clean
	$(MAKE) -C udev       clean
	$(MAKE) -C lockscreen clean
	$(MAKE) -C tnc        clean
	$(MAKE) -C dbus       clean
	$(MAKE) -C session-cmd clean
	$(MAKE) -C tcos-standalone clean
	$(MAKE) -C tmixer      clean

distclean:
	find . -type f -name "*~" | xargs rm -rf --

install:
	#  Creating directories
	install -d $(DESTDIR)/$(TCOS_CONF)
	install -d $(DESTDIR)/$(TCOS_CONF)/ssl
	install -d $(DESTDIR)/$(TCOS_CONF)/hooks-addons/
	install -d $(DESTDIR)/$(TCOS_CONF)/conf.d/
	install -d $(DESTDIR)/$(TCOS_CONF)/secrets/
	install -d $(DESTDIR)/$(TCOS_DIR)
	install -d $(DESTDIR)/$(TCOS_DIR)/hooks
	install -d $(DESTDIR)/$(TCOS_DIR)/hooks-addons
	install -d $(DESTDIR)/$(TCOS_DIR)/scripts
	install -d $(DESTDIR)/$(TCOS_DIR)/inc
	install -d $(DESTDIR)/$(TFTP_DIR)
	install -d $(DESTDIR)/$(TCOS_BINS)
	install -d $(DESTDIR)/$(X11_CONF)

	install -m 640 ssl/tcos_ca.crt       $(DESTDIR)$(TCOS_CONF)/ssl/
	install -m 640 ssl/tcos_dh1024.pem   $(DESTDIR)$(TCOS_CONF)/ssl/
	install -m 640 ssl/tcos_server.pem   $(DESTDIR)$(TCOS_CONF)/ssl/

	install -d $(DESTDIR)$(TCOS_CONF)/hacking
	install -d $(DESTDIR)$(TCOS_CONF)/pxelinux.d
	install -d $(DESTDIR)/usr/sbin
	install -d $(DESTDIR)/usr/bin
	install -d $(DESTDIR)$(TFTP_DIR)/pxelinux.cfg
	install -d $(DESTDIR)$(TFTP_DIR)/conf/

	install -d $(DESTDIR)$(TCOS_CONF)/hooks
	for i in `find scripts/ -type d`; do install -d $(DESTDIR)$(TCOS_CONF)/$$i; done
	
	for i in `find scripts/ -type d`; do install -d $(DESTDIR)$(TCOS_DIR)/$$i; done
	for i in `find hooks/ -type d`; do install -d $(DESTDIR)$(TCOS_DIR)/$$i; done

	install -d $(DESTDIR)/var/lib/tcos/isos

	install -m 644 xorgids/xorg.pciids $(DESTDIR)/$(TCOS_DIR)/inc/

	install -m 644 tcos/default.tpl $(DESTDIR)$(TCOS_CONF)/pxelinux.cfg.tpl

	install -m 644 tcos/example.dual.server.conf $(DESTDIR)/$(TCOS_CONF)/pxelinux.d/example.dual.server.hook

	install -m 644 tcos/help.msg $(DESTDIR)$(TFTP_DIR)/
	install -m 644 tcos/help2.msg $(DESTDIR)$(TFTP_DIR)/
	install -m 644 tcos/tcos.msg $(DESTDIR)$(TFTP_DIR)/
	install -m 644 tcos/logo.lss $(DESTDIR)$(TFTP_DIR)/

	install -m 644 tcos/default.menu.tpl $(DESTDIR)$(TCOS_CONF)/pxelinux.menu.cfg.tpl
	install -m 644 tcos/pxetcos.jpg      $(DESTDIR)$(TFTP_DIR)/

	install -m 755 hooks/tcosmain $(DESTDIR)$(TCOS_CONF)/hooks/
	
	for i in `find scripts/ -type f`; do install -m 755 $$i $(DESTDIR)$(TCOS_DIR)/$$i; done
	for i in `find hooks/ -type f`; do install -m 755 $$i $(DESTDIR)$(TCOS_DIR)/$$i; done
	for i in `find hooks-addons/ -maxdepth 1 -type f`; do install -m 644 $$i $(DESTDIR)$(TCOS_DIR)/$$i; done

	# delete tcosmain from tcos/hooks/
	rm -f $(DESTDIR)$(TCOS_DIR)/hooks/tcosmain
	chmod -x $(DESTDIR)$(TCOS_DIR)/scripts/tcos


	install -m 640 conf/tcos.conf.etc $(DESTDIR)$(TCOS_CONF)/tcos.conf
	sed -i 's/__TCOS_DEFAULT_KERNEL__/$(TCOS_DEFAULT_KERNEL)/g' $(DESTDIR)$(TCOS_CONF)/tcos.conf

	install -m 644 conf/version.conf $(DESTDIR)$(TCOS_CONF)/version.conf
	sed -i 's/__TCOS_VERSION__/$(VERSION)/g'       $(DESTDIR)$(TCOS_CONF)/version.conf
	sed -i 's/__TCOS_DISTRO__/$(DISTRO_VERSION)/g' $(DESTDIR)$(TCOS_CONF)/version.conf
	sed -i 's/__DISTRIBUTION__/$(DISTRO)/g' $(DESTDIR)$(TCOS_CONF)/version.conf
	sed -i 's/__TCOS_ARCH__/$(TCOS_ARCH)/g'        $(DESTDIR)$(TCOS_CONF)/version.conf


	# tcos.conf templates
	install -d $(DESTDIR)$(TCOS_DIR)/templates/
	install -d $(DESTDIR)$(TCOS_CONF)/templates/
	install -m 644 conf/branding-pxelinux.info             $(DESTDIR)$(TCOS_CONF)/templates/

	# copy tcos.conf to have a default config
	install -m 644 conf/base.conf     $(DESTDIR)$(TCOS_DIR)/templates/base.conf
	install -m 644 conf/tcos.conf.all $(DESTDIR)$(TCOS_DIR)/templates/tcos.conf.all
	install -m 644 conf/tcos.conf.low $(DESTDIR)$(TCOS_DIR)/templates/tcos.conf.low
	install -m 644 conf/tcos.conf.nfs $(DESTDIR)$(TCOS_DIR)/templates/tcos.conf.nfs
	install -m 644 conf/tcos.conf.light $(DESTDIR)$(TCOS_DIR)/templates/tcos.conf.light


	install -m 644 conf/tcos-modules.conf $(DESTDIR)$(TCOS_DIR)/tcos-modules.conf

	install -m 644 conf/tcos-generation-functions.sh $(DESTDIR)$(TCOS_DIR)/tcos-generation-functions.sh
	install -m 644 conf/tcos-run-functions.sh        $(DESTDIR)$(TCOS_DIR)/tcos-run-functions.sh
	install -m 644 conf/branding.info                $(DESTDIR)$(TCOS_CONF)/conf.d/

	install -m 644 conf/80export_pulseaudio  $(DESTDIR)$(X11_CONF)/

	install -m 644 conf/initramfs.conf $(DESTDIR)$(TCOS_CONF)/initramfs.conf
	install -m 644 conf/template $(DESTDIR)$(TCOS_CONF)/hacking/template

	install -m 644 images/logo.xpm.gz $(DESTDIR)$(TCOS_DIR)/logo.xpm.gz

	# gentcos build script
	install -m 755 bin/gentcos            $(DESTDIR)/usr/sbin/gentcos
	install -m 755 bin/tcos-buildchroot   $(DESTDIR)/usr/sbin/tcos-buildchroot
	install -m 755 bin/tcos-gdm-autologin $(DESTDIR)/usr/sbin/tcos-gdm-autologin

	install -m 755 bin/configurexorg   $(DESTDIR)/$(TCOS_BINS)/
	install -m 755 bin/seq             $(DESTDIR)/$(TCOS_BINS)/
	install -m 755 bin/get_filesystem  $(DESTDIR)/$(TCOS_BINS)/
	install -m 755 bin/cd_type         $(DESTDIR)/$(TCOS_BINS)/
	install -m 755 bin/installer.sh    $(DESTDIR)/$(TCOS_BINS)/
	install -m 755 bin/tryXorg.sh      $(DESTDIR)/$(TCOS_BINS)/
	install -m 644 bin/set-limits      $(DESTDIR)/$(TCOS_BINS)/
	install -m 755 bin/daemonize.sh    $(DESTDIR)/$(TCOS_BINS)/
	install -m 755 bin/get_xauth       $(DESTDIR)/$(TCOS_BINS)/
	install -m 755 bin/clear-logs      $(DESTDIR)/$(TCOS_BINS)/
	install -m 755 bin/down-controller   $(DESTDIR)/$(TCOS_BINS)/
	install -m 755 bin/get_server        $(DESTDIR)/$(TCOS_BINS)/
	install -m 755 bin/clean_string.sh   $(DESTDIR)/$(TCOS_BINS)/
	install -m 755 bin/get_vga_vendor    $(DESTDIR)/$(TCOS_BINS)/
	install -m 755 bin/udhcpc-script     $(DESTDIR)/$(TCOS_BINS)/


	install -m 755 bin/tcos-bootchartd   $(DESTDIR)/$(TCOS_BINS)/
	install -m 755 bin/tcos-genbootchart $(DESTDIR)/usr/bin/tcos-genbootchart

	install -m 644 conf/xorg.conf.tpl $(DESTDIR)$(TCOS_CONF)/xorg.conf.tpl

	install -d $(DESTDIR)/usr/bin

	$(MAKE) -C hex2ascii install DESTDIR=$(DESTDIR)

	# xmlrpc
	$(MAKE) -C xmlrpc install PREFIX=$(PREFIX) DESTDIR=$(DESTDIR)
	sed -i 's/__VERSION__/$(VERSION)/g' $(DESTDIR)/$(TCOS_BINS)/tcos-last

	# udev
	$(MAKE) -C udev install PREFIX=$(PREFIX) DESTDIR=$(DESTDIR) TCOS_BINS=$(TCOS_BINS)

	# lockscreen
	$(MAKE) -C lockscreen install PREFIX=$(PREFIX) DESTDIR=$(DESTDIR) TCOS_BINS=$(TCOS_BINS) PACKAGE=$(PACKAGE)

	# tcos net controller
	$(MAKE) -C tnc install PREFIX=$(PREFIX) DESTDIR=$(DESTDIR) TCOS_BINS=$(TCOS_BINS) PACKAGE=$(PACKAGE)

	# dbus conf file
	$(MAKE) -C dbus install PREFIX=$(PREFIX) DESTDIR=$(DESTDIR)

	# session-cmd scripts
	$(MAKE) -C session-cmd install TCOS_BINS=$(TCOS_BINS) DESTDIR=$(DESTDIR)

	# tcos-standalone helper
	$(MAKE) -C tcos-standalone install PREFIX=$(PREFIX) DESTDIR=$(DESTDIR)
	sed -i 's/__VERSION__/$(VERSION)/g' $(DESTDIR)/$(PREFIX)/sbin/tcos-standalone

	# tmixer
	$(MAKE) -C tmixer install PREFIX=$(PREFIX) DESTDIR=$(DESTDIR)

# VPN support not complete 
#	# openvpn
#	$(MAKE) -C openvpn install PREFIX=$(PREFIX) DESTDIR=$(DESTDIR)

=== tcos-standalone/Makefile ===
LANGUAGES=es ca@valencia pt_BR

all: gmo

include ../common.mk

clean:
	$(QUIET_CL)rm -f *~ *glade.* *gladep*
	@for lang in $(LANGUAGES); do \
		echo "      **CLEANDIR** po/$$lang"; \
		rm -rf po/$$lang;\
	done

install:
	install -d $(DESTDIR)/$(PREFIX)/sbin
	install -m 755 tcos-standalone.py $(DESTDIR)/$(PREFIX)/sbin/tcos-standalone

	install -d $(DESTDIR)/$(PREFIX)/share/tcos-standalone
	install -d $(DESTDIR)/$(PREFIX)/share/tcos-standalone/images

	install -m 644 tcos-standalone.glade $(DESTDIR)/$(PREFIX)/share/tcos-standalone
	install -m 644 images/tcos-icon-32x32.png $(DESTDIR)/$(PREFIX)/share/tcos-standalone/images

	install -d $(DESTDIR)/$(PREFIX)/share/applications
	install -m 644 tcos-standalone.desktop $(DESTDIR)/$(PREFIX)/share/applications/

	install -d $(DESTDIR)/etc/avahi/services
	install -m 644 tcos-standalone.service $(DESTDIR)/etc/avahi/services/

	# locales
	@for lang in $(LANGUAGES); do \
		install -d $(DESTDIR)/$(PREFIX)/share/locale/$$lang/LC_MESSAGES/; \
		install -m 644 po/$$lang/LC_MESSAGES/tcos-standalone.mo $(DESTDIR)/$(PREFIX)/share/locale/$$lang/LC_MESSAGES/tcos-standalone.mo; \
	done


pot:
	xgettext  -o po/tcos-standalone.pot --files-from=po/FILES


po:
	@for lang in $(LANGUAGES); do \
		echo " **PO** po/$$lang"; \
		if [ ! -f po/$$lang.po ]; then \
			msginit --input po/tcos-standalone.pot -o po/$$lang-old.po;\
		else \
			mv po/$$lang.po po/$$lang-old.po; \
		fi ; \
		msgmerge -o po/$$lang.po po/$$lang-old.po po/tcos-standalone.pot; \
		rm -f po/$$lang-old.po; \
	done

gmo:
	@echo " **COMPILING** languages: $(LANGUAGES)"
	@for lang in $(LANGUAGES); do \
		echo " **COMPILEMO** po/$$lang" ; \
		mkdir -p po/$$lang/LC_MESSAGES/; \
		msgfmt --verbose -o po/$$lang/LC_MESSAGES/tcos-standalone.mo po/$$lang.po; \
	done

=== tnc/Makefile ===
TNC = tnc
SOURCE = tcos-net-controller.c
LIBS= -I/usr/lib
LDADD = -O2 -ansi -pedantic -Wall $(LIBS) $(CFLAGS)
GCC=gcc

all: $(TNC)

include ../common.mk


$(TNC):
	$(QUIET_CC)$(CC) $(SOURCE) $(LDADD) -o $(TNC)

debug:
	$(CC) $(SOURCE) $(LDADD) -o $(TNC) -DDEVNULL="\"\"" -DDEBUG


clean:
	$(QUIET_CL)rm -f $(TNC) *~

install:
	mkdir -p $(DESTDIR)/$(TCOS_BINS)

	install -m 700 $(TNC)        $(DESTDIR)/$(TCOS_BINS)/

=== udev/Makefile ===
all: mount-listener

include ../common.mk


mount-listener:
	$(QUIET_CC)$(GCC) -Wall -O2 -o mount-listener mount_listener.c


install:
	install -d  $(DESTDIR)$(TCOS_XMLRPC_DIR)
	install -d  $(DESTDIR)$(TCOS_BINS)

	install -m 755 tcos-udevd.sh          $(DESTDIR)$(TCOS_BINS)/
	install -m 755 mount-listener         $(DESTDIR)$(TCOS_BINS)/
	install -m 755 listener-daemon.sh     $(DESTDIR)$(TCOS_BINS)/
	install -m 755 save-udev.sh           $(DESTDIR)$(TCOS_BINS)/
	install -m 755 cdrom-mount            $(DESTDIR)$(TCOS_BINS)/
	install -m 644 050_tcos_devices.rules $(DESTDIR)$(TCOS_XMLRPC_DIR)/

clean:
	$(QUIET_CL)rm -f *.pyc *~ mount-listener proc_mounts

=== debian/changelog ===
tcos (0.89.86) unstable; urgency=low

  * Change 'xvnc4viewer | xvncviewer' with 
    xtightvncviewer (avalaible in armel) (closes: #651188)
  * debian/changelog: split a very long line

 -- Mario Izquierdo (mariodebian) <mariodebian@gmail.com>  Wed, 07 Dec 2011 23:24:48 +0100

tcos (0.89.85) unstable; urgency=low

  * common.mk: Update kernel versions (add 2 last Ubuntus)
  * tcos-standalone.init 45wakeonlan: Support old and new ethtool paths
  * Makefile: disable openvpn install target
  * hooks-addons/45wakeonlan: Fix OR => AND in ethtool paths
  * tnc/tcos-net-controller.c: Remove not needed include, 
    fix hurd-i386 build
  * tcos-standalone: move ethtool from Depends to Recommends
  * debian/tcos-standalone.init: Check if ethtool bin exists before run wakeonlan
  * hooks-addons/45wakeonlan: refactor ethtool cpifexists
  * Change Priority to extra, we depend on some extra packages
  * move from CDBS to dh7
  * hooks-addons/50xorg: Remove nVIDIA libs in multiarch paths too
  * hooks-addons/21pulseaudio: No install filter, equalizer or rygel modules

 -- Mario Izquierdo (mariodebian) <mariodebian@gmail.com>  Thu, 24 Nov 2011 16:02:16 +0100

tcos (0.89.84) unstable; urgency=low

  * Promoted by "Antonio Pérez-Aranda <ant30tx@gmail.com>"
             from Yaco Sistemas SL <www.yaco.es>
  * hooks-addons/00main: really fix libgssapi_krb5

 -- Mario Izquierdo (mariodebian) <mariodebian@gmail.com>  Thu, 15 Sep 2011 15:43:18 +0200

tcos (0.89.83) unstable; urgency=low

  * fix some compilations warnings variable ‘XXX’ set but not used [-Wunused-but-set-variable]
  * hooks-addons/00main: multiarch support for libgssapi_krb5.so
  * hooks-addons/51paquito: fix typo ) => }

 -- Mario Izquierdo (mariodebian) <mariodebian@gmail.com>  Thu, 15 Sep 2011 15:42:54 +0200

tcos (0.89.82) unstable; urgency=low

  * Add Ubuntu Natty and update Ubuntu Maverick kernels
  * lockscreen/Makefile: Use pkg-config to get glib-2.0 includes and libs
  * Fix warnings: 'variable XXX set but not used [-Wunused-but-set-variable]'
  * Fix multiarch support
  * hooks-addons/51dri: Add multiarch support
  * hooks-addons/00main: Add more multiarch code, and include rpcbind daemon
  * scripts/tcos-top/05network: Exec rpcbind if found
  * hooks-addons/04debug: ldd use x64 if exists
  * hooks-addons/50xorg: delete libnvidia files in image
  * bin/tcos-buildchroot: add file to package list in chroot
  * hooks-addons/05compcache: Use 'zram' in newer kernels
  * hooks-addons/50xorg: search for NVIDIA in libglx.so
  * Use '-e' instead '-d' for dir tests

 -- Mario Izquierdo (mariodebian) <mariodebian@gmail.com>  Wed, 06 Jul 2011 14:42:59 +0200

tcos (0.89.81) unstable; urgency=low

  * debian/initramfs-tools-tcos.install: Install OpenVPN files in /var/lib/tcos/openvpn
  * common.mk: Update kernels

 -- Mario Izquierdo (mariodebian) <mariodebian@gmail.com>  Sun, 12 Jun 2011 14:31:46 +0200

tcos (0.89.80) unstable; urgency=low

  * change xmlrpc dev build depends order
  * xmlrpc/Makefile: use $(shell cmd) instead of
  * hooks-addons/16dbus-avahi: add Avahi mDNS for autodiscover tcos hosts
  * hooks-addons/16dbus-avahi: join the Avahi services in one file
  * Add Avahi tcos-standalone.service file
  * add OpenVPN support for TCOS images
  * conf/base.conf: add TCOS_OPENVPN var (disabled by default)
  * hooks-addons/18openvpn: fix var names
  * scripts/tcos-top/05network: Use TCOS_SERVER instead of dhcpserver for tcos-server in /etc/hosts
  * xmlrpc/sh/getinfo.sh: fix typo
  * hooks-addons/18openvpn: don't save hostname as VPN server IP
  * openvpn/tcos-init-openvpn: secure key files and restart openvpn with cond-restart
  * scripts/tcos-bottom/25startx: Use getinfo to get NETWORK_IP
  * openvpn/tcos-init-openvpn: add info messages
  * xmlrpc/sh/getinfo.sh hooks-addons/18openvpn: use tap0 instead of tun0 and wait for VPN link
  * hooks-addons/18openvpn: Add message when starting VPN
  * Switch VPN dir from /etc/tcos/openvpn to /var/lib/tcos/openvpn
  * initial multiseat support
  * bin/tcos-buildchroot: fix udevadm calls in chroot and use dpkg-divert to move files
  * openvpn: use tap instead of tun in server side
  * hooks-addons/00main: Use /lib/x86_64-linux-gnu if found
  * hooks-addons/01busybox: remove silent old busybox
  * hooks-addons/03udev2: copy /lib/udev/pci-db if found (sound realated)
  * hooks-addons/18openvpn: add break points
  * bin/gentcos: convert module links in files and call parse_pxelinuxcfg after image build

 -- Mario Izquierdo (mariodebian) <mariodebian@gmail.com>  Sun, 12 Jun 2011 13:46:41 +0200

tcos (0.89.79) unstable; urgency=low

  * bin/configurexorg: fix quotes in font paths
  * debian/initramfs-tools-tcos.postinst: bashish, don't use function
  * debian/tcos-standalone.init: cosmetic changes in init script
  * debian/control: Use Standars 3.9.1 and add libxmlrpc-core-c3-dev as alternative of libxmlrpc-c3-dev

 -- Mario Izquierdo (mariodebian) <mariodebian@gmail.com>  Fri, 25 Feb 2011 18:38:33 +0100

tcos (0.89.78) unstable; urgency=low

  * lockscreen/Makefile tmixer/Makefile: add lost link flags, thanks ghe@d.o

 -- Mario Izquierdo (mariodebian) <mariodebian@gmail.com>  Wed, 16 Feb 2011 18:07:32 +0100

tcos (0.89.77) unstable; urgency=low

  * bin/get_vga_vendor: Use /sys/bus/pci with CLASS 0x030000 to search VGA vendor
  * lockscreen/Makefile lockscreen/waitforX.c debian/copyright: rewrite waitforX
  * hooks-addons: exit if waitforX fail
  * bin/get_vga_vendor bin/configurexorg: save VENDOR and MODEL and use in configurexorg
  * xmlrpc/pci.h: simplify PCI_ALL command

 -- Mario Izquierdo (mariodebian) <mariodebian@gmail.com>  Wed, 16 Feb 2011 17:43:53 +0100

tcos (0.89.76) unstable; urgency=low

  * debian/copyright: Machine readable debian/copyright format
  * update debian/copyright
  * bin/get_vga_vendor: cache VGA Vendor output in /tmp/vga_vendor
  * global license headers fix
  * Makefile: delete obsolete targets
  * debian/control: fix descriptions


=== debian/control ===
Source: tcos
Section: net
Priority: extra
Maintainer: Mario Izquierdo (mariodebian) <mariodebian@gmail.com>
Build-Depends: debhelper (>= 7.0.0), libxmlrpc-c3-dev | libxmlrpc-core-c3-dev, libxau-dev, libxaw7-dev, 
               libimlib2-dev, python (>= 2.6.6-3~), pkg-config, libasound2-dev,
               libglib2.0-dev
Standards-Version: 3.9.2
Vcs-Git: http://tcosproject.org/git/tcos.git
Vcs-Browser: http://tcosproject.org/cgit/tcos.git/
Homepage: http://www.tcosproject.org

Package: initramfs-tools-tcos
Architecture: all
Depends: tcos-core, 
         initramfs-tools (>= 0.40), 
         console-setup | console-data,
         squashfs-tools,
         pciutils,
         ltspfsd-core,
         ${misc:Depends}, ${shlibs:Depends}
Recommends: mbr, 
            syslinux,
            mtools,
            acpid,
            pulseaudio,
            dropbear,
            fgetty,
            p910nd,
            genisoimage, 
            mknbi,
            twm,
            binutils,
            alsa-base, 
            cdparanoia,
            xfonts-100dpi,
            debootstrap
Conflicts: tcosmonitor (<< 0.1.23.2), tcos (<< 0.89.26)
Description: Tools for generating a TCOS thin client bootable image
 This package contains tools to create a bootable initramfs for prepackaged
 2.6 Linux kernel. The initramfs is an cpio archive. At boot time, the kernel
 unpacks that archive into ram, mounts and uses it as initial root file system.
 Next thin client configure some hardware, download extra tools 
 ( /usr compressed dir ) and connect to remote server using XMDCP, ssh -X, 
 FreeNX, rDesktop...

Package: tcos-core
Architecture: any
Depends: busybox (>= 1:1.13.3) | busybox-static (>= 1:1.13.3) | udhcpc, 
         xterm, 
         x11vnc, 
         xtightvncviewer, 
         dosfstools, 
         scrot, 
         eject, 
         netpipes, 
         libnotify-bin, 
         libasound2-plugins, 
         iproute, 
         xdg-utils, 
         pulseaudio-utils, 
         python, 
         python-utmp, 
         python-dbus, 
         python-ipaddr,
         python-ipy,
         ${misc:Depends}, ${shlibs:Depends}
Recommends: vlc, 
            stunnel4, 
            openssl,
            ethtool
Conflicts: tcosmonitor (<< 0.1.23.2), initramfs-tools-tcos (<< 0.87.0)
XB-Python-Version: ${python:Versions}
Description: Common scripts and bins for generating a TCOS thin client bootable image
 This package contain common scripts, libs, bins and dependencies to
 generate network images or be used in standalone hosts.


Package: tcos-standalone
Architecture: all
Depends: tcos-core (>= 0.88.0), 
         tcosmonitor-common, 
         openssl, 
         gksu, 
         python, 
         python-eggtrayicon | python-gnome2-extras, 
         python-gtk2, 
         python-glade2, 
         ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}
Conflicts: tcos-core (<< 0.87.15)
Recommends: ethtool
XB-Python-Version: ${python:Versions}
Description: TCOS GUI configurator for standalone hosts
 This package contains a PyGTK+ gui configurator and dependencies
 to install and configure a standalone TCOS host.
  .
 With this package you can control installed clients from tcosmonitor.



Package: tcos
Architecture: all
Depends: initramfs-tools-tcos (>= 0.84.5), 
         python, 
         python-configobj, 
         ${misc:Depends}, ${shlibs:Depends}
Recommends: tcos-configurator, 
            dnsmasq | tcos-tftp-dhcp,
            tcosmonitor, tcosconfig, 
            ltspfs, 
           fuse-utils, 
            pulseaudio-esound-compat | esound
XB-Python-Version: ${python:Versions}
Description: Base package for install a TCOS (Thin client) server
 This is a system for generating thin client hosts using initramfs.
 TCOS is a set of build tools to prepare an initramfs image to boot
 thin client terminals.
 TCOS support dhcp, sound (alsa & esound | pulseaudio ), ltspfs, 
 Xorg and more utils.
 .
 This package install and recommends all required packages to make a 
 TCOS thin client server.


Package: tcos-tftp-dhcp
Architecture: all
Depends: atftpd, isc-dhcp-server | dhcp3-server | dhcp-server, ${misc:Depends}
Description: Metapackage to install TCOS with atftp and DHCP server
 This metapackage depends on atftp and a DHCP server to provide needed 
 daemons needed to run a TCOS server.

=== debian/rules ===
#!/usr/bin/make -f


%:
	dh $@ --with python2

## tcos 0.89.87

=== Makefile ===
--- 
+++ 
@@ -96,13 +96,12 @@
 
 
 	install -m 640 conf/tcos.conf.etc $(DESTDIR)$(TCOS_CONF)/tcos.conf
-	sed -i 's/__TCOS_DEFAULT_KERNEL__/$(TCOS_DEFAULT_KERNEL)/g' $(DESTDIR)$(TCOS_CONF)/tcos.conf
 
-	install -m 644 conf/version.conf $(DESTDIR)$(TCOS_CONF)/version.conf
-	sed -i 's/__TCOS_VERSION__/$(VERSION)/g'       $(DESTDIR)$(TCOS_CONF)/version.conf
-	sed -i 's/__TCOS_DISTRO__/$(DISTRO_VERSION)/g' $(DESTDIR)$(TCOS_CONF)/version.conf
-	sed -i 's/__DISTRIBUTION__/$(DISTRO)/g' $(DESTDIR)$(TCOS_CONF)/version.conf
-	sed -i 's/__TCOS_ARCH__/$(TCOS_ARCH)/g'        $(DESTDIR)$(TCOS_CONF)/version.conf
+	install -m 644 conf/version.conf $(DESTDIR)/var/lib/tcos/version.conf
+	sed -i 's/__TCOS_VERSION__/$(VERSION)/g'       $(DESTDIR)/var/lib/tcos/version.conf
+	sed -i 's/__TCOS_DISTRO__/$(DISTRO_VERSION)/g' $(DESTDIR)/var/lib/tcos/version.conf
+	sed -i 's/__DISTRIBUTION__/$(DISTRO)/g'        $(DESTDIR)/var/lib/tcos/version.conf
+	sed -i 's/__TCOS_ARCH__/$(TCOS_ARCH)/g'        $(DESTDIR)/var/lib/tcos/version.conf
 
 
 	# tcos.conf templates

=== debian/changelog ===
tcos (0.89.87) unstable; urgency=low

  * conf/xorg.conf.tpl: Add ModulePath to not load propietary drivers
  * tcos-core: Depends on adduser (for postinst/postrm)
  * initramfs-tools-tcos.postrm: Delete (on purge) some files and dirs,
    piuparts errors
  * Don't hardcode TCOS_KERNEL_VERSION, use newest from /boot
  * Move version.conf from /etc/tcos to /var/lib/tcos
  * Move version.conf to tcos-core (arch depend)
  * bin/tcos-buildchroot: TCOS_MIRROR optional now with TCOS in
    Debian and Ubuntu
  * debian/control: Remove conflicts and XB-Python-Version

 -- Mario Izquierdo (mariodebian) <mariodebian@gmail.com>  Mon, 02 Jan 2012 17:34:07 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,14 @@
 Section: net
 Priority: extra
 Maintainer: Mario Izquierdo (mariodebian) <mariodebian@gmail.com>
-Build-Depends: debhelper (>= 7.0.0), libxmlrpc-c3-dev | libxmlrpc-core-c3-dev, libxau-dev, libxaw7-dev, 
-               libimlib2-dev, python (>= 2.6.6-3~), pkg-config, libasound2-dev,
+Build-Depends: debhelper (>= 7.0.50~),
+               python (>= 2.6.6-3~),
+               libxmlrpc-c3-dev | libxmlrpc-core-c3-dev,
+               libxau-dev,
+               libxaw7-dev,
+               libimlib2-dev,
+               pkg-config,
+               libasound2-dev,
                libglib2.0-dev
 Standards-Version: 3.9.2
 Vcs-Git: http://tcosproject.org/git/tcos.git
@@ -35,7 +41,6 @@
             cdparanoia,
             xfonts-100dpi,
             debootstrap
-Conflicts: tcosmonitor (<< 0.1.23.2), tcos (<< 0.89.26)
 Description: Tools for generating a TCOS thin client bootable image
  This package contains tools to create a bootable initramfs for prepackaged
  2.6 Linux kernel. The initramfs is an cpio archive. At boot time, the kernel
@@ -47,6 +52,7 @@
 Package: tcos-core
 Architecture: any
 Depends: busybox (>= 1:1.13.3) | busybox-static (>= 1:1.13.3) | udhcpc, 
+         adduser,
          xterm, 
          x11vnc, 
          xtightvncviewer, 
@@ -69,8 +75,6 @@
             stunnel4, 
             openssl,
             ethtool
-Conflicts: tcosmonitor (<< 0.1.23.2), initramfs-tools-tcos (<< 0.87.0)
-XB-Python-Version: ${python:Versions}
 Description: Common scripts and bins for generating a TCOS thin client bootable image
  This package contain common scripts, libs, bins and dependencies to
  generate network images or be used in standalone hosts.
@@ -87,9 +91,7 @@
          python-gtk2, 
          python-glade2, 
          ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}
-Conflicts: tcos-core (<< 0.87.15)
 Recommends: ethtool
-XB-Python-Version: ${python:Versions}
 Description: TCOS GUI configurator for standalone hosts
  This package contains a PyGTK+ gui configurator and dependencies
  to install and configure a standalone TCOS host.
@@ -110,7 +112,6 @@
             ltspfs, 
            fuse-utils, 
             pulseaudio-esound-compat | esound
-XB-Python-Version: ${python:Versions}
 Description: Base package for install a TCOS (Thin client) server
  This is a system for generating thin client hosts using initramfs.
  TCOS is a set of build tools to prepare an initramfs image to boot

## tcos 0.89.89

=== debian/changelog ===
tcos (0.89.89) unstable; urgency=low

  * debian/initramfs-tools-tcos.postinst:
    - Fix remove obsolete version.conf

 -- Mario Izquierdo (mariodebian) <mariodebian@gmail.com>  Fri, 13 Jan 2012 13:11:33 +0100

tcos (0.89.88) unstable; urgency=low

  * bin/tcos-buildchroot:
    - Install tcos-keyring only with tcos repo.
    - Don't use universe/multiverse in ubuntu-security
  * bin/gentcos: Set TCOS_KERNEL to newest vmlinuz in /boot
  * bin/tcos-buildchroot:
    - Add dbus,dbus-x11,avahi-daemon to chroot.
    - Delete not needed code.
    - Copy vmlinuz to tftp root
  * conf/tcos.conf: Unset TCOS_KERNEL
  * conf/tcos.conf.all: TCOS_DBUS=1, pulseaudio needs it
  * scripts/tcos-top/01busybox:
    - Delete ra interface.
    - Send a line break after waiting for net
  * hooks-addons/21pulseaudio:
    - Enable module-udev-detect if avalaible
  * hooks-addons/50xorg:
    - Search libGL.so.1 in /usr/lib/ARCH-linux-gnu/mesa/
  * hooks-addons/16dbus-avahi:
    - Split TCOS_DBUS and TCOS_AVAHI, TCOS_DBUS is enabled by default now

 -- Mario Izquierdo (mariodebian) <mariodebian@gmail.com>  Sun, 08 Jan 2012 16:42:46 +0100

## tcos 0.89.89ubuntu1

=== debian/changelog ===
tcos (0.89.89ubuntu1) quantal; urgency=low

  * xmlrpc/common.c:
    Comment out the memset implementation to allow inlining of memset from
    libc (fixes FTBFS with gcc-4.7).

 -- Michael Bienia <geser@ubuntu.com>  Thu, 17 May 2012 22:03:28 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: tcos
 Section: net
 Priority: extra
-Maintainer: Mario Izquierdo (mariodebian) <mariodebian@gmail.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Mario Izquierdo (mariodebian) <mariodebian@gmail.com>
 Build-Depends: debhelper (>= 7.0.50~),
                python (>= 2.6.6-3~),
                libxmlrpc-c3-dev | libxmlrpc-core-c3-dev,

## tcos 0.89.89ubuntu2

=== debian/changelog ===
tcos (0.89.89ubuntu2) quantal; urgency=low

  * Drop dhcp3-server from Depends: following dhcp3-server to
    isc-dhcp-server transition.

 -- Andy Whitcroft <apw@ubuntu.com>  Thu, 02 Aug 2012 10:08:12 +0100

## tcos 0.89.90ubuntu1

=== Makefile ===
--- 
+++ 
@@ -95,7 +95,7 @@
 	chmod -x $(DESTDIR)$(TCOS_DIR)/scripts/tcos
 
 
-	install -m 640 conf/tcos.conf.etc $(DESTDIR)$(TCOS_CONF)/tcos.conf
+	install -m 640 conf/tcos.conf $(DESTDIR)$(TCOS_CONF)/tcos.conf
 
 	install -m 644 conf/version.conf $(DESTDIR)/var/lib/tcos/version.conf
 	sed -i 's/__TCOS_VERSION__/$(VERSION)/g'       $(DESTDIR)/var/lib/tcos/version.conf

=== hex2ascii/Makefile ===
all: hex2ascii

include ../common.mk

hex2ascii:
	$(QUIET_CC)$(GCC) hex2ascii.c -o hex2ascii $(CFLAGS) -Wall -ansi -pedantic

clean:
	$(QUIET_CL)rm -f hex2ascii

install:
	install -d $(DESTDIR)$(TCOS_BINS)
	install -m 755 hex2ascii $(DESTDIR)$(TCOS_BINS)/hex2ascii

=== tmixer/Makefile ===
DEBUGCFLAGS	+= -g -O2 -Wall
CFLAGS		+= -g -O2 -Wall
TVERSION	= -DTCOS_VERSION="\"$(VERSION)\""
LDADD		+= -lasound -lm
bin_PROGRAMS = tmixer
TMIXER_SOURCES= tmixer-alsa.c tmixer-oss.c
CC=gcc

all: tmixer

tmixer: tmixer.c tmixer-oss.c tmixer-oss.h tmixer-alsa.c tmixer-alsa.h
	$(QUIET_CC)$(GCC) -o $(bin_PROGRAMS) tmixer.c $(LDADD) $(CFLAGS) $(TVERSION)

tmixer-alsa: tmixer-alsa.c tmixer-alsa.h
	$(QUIET_CC)$(GCC) -o $(bin_PROGRAMS) tmixer-alsa.c $(LDADD) $(CFLAGS) $(TVERSION)

tmixer-oss: tmixer-oss.c tmixer-oss.h
	$(QUIET_CC)$(GCC) -o $(bin_PROGRAMS) tmixer-oss.c $(LDADD) $(CFLAGS) $(TVERSION)


debug: tmixer.c tmixer-oss.c tmixer-oss.h tmixer-alsa.c tmixer-alsa.h
	$(CC) -o $(bin_PROGRAMS) tmixer.c $(LDADD) $(DEBUGCFLAGS) $(TVERSION)



include ../common.mk

clean:
	$(QUIET_CL)rm -f *~ $(bin_PROGRAMS) *.o

install:
	mkdir -p $(DESTDIR)/$(TCOS_BINS)
	install -m 755 $(bin_PROGRAMS)        $(DESTDIR)/$(TCOS_BINS)/

=== xmlrpc/Makefile ===
SERVER=tcosxmlrpc
STANDALONE=tcosxmlrpc-standalone
TCOSPASSWD=tcospasswd

all: message $(SERVER) $(STANDALONE) $(TCOSPASSWD)

include ../common.mk



TCOS_PATH:=/sbin
IS_STANDALONE:=0

ifneq ($(findstring $(IS_STANDALONE),1),1)
TXT = 
else
TXT = STANDALONE
endif

ifndef V
	QUIET_CC       = @echo '   $(TXT)'  CC    $@;
	QUIET_CL       = @echo '   $(TXT)'  CLEAN $@ `basename $(CURDIR)`;
	QUIET_LN       = @echo '   $(TXT)'  LINK  $@;
endif



XMLRPC_INC=$(shell xmlrpc-c-config --version)
XMLRPC_VERSION_MAYOR=$(shell xmlrpc-c-config --version| awk -F"." '{print $$1}')
XMLRPC_VERSION_MINOR=$(shell xmlrpc-c-config --version| awk -F"." '{print $$2$$3}'| cut -c-4| awk '{print int($$1)}')

CFLAGS+=-Wall -O2  $(shell xmlrpc-c-config abyss-server --cflags)
#LDFLAGS+=-Wl,-z,defs -Wl,-O1 -Wl,--as-needed
## OLD gcc (lenny) don't work with -Wl,--as-needed
LDFLAGS+=-Wl,-z,defs -Wl,-O1 
LIBS+=$(shell xmlrpc-c-config abyss-server --libs) -lcrypt -lX11

DEFINES:= -DVERSION=\"$(VERSION)\" -DXMLRPC_VERSION_MAYOR=$(XMLRPC_VERSION_MAYOR) -DXMLRPC_VERSION_MINOR=$(XMLRPC_VERSION_MINOR)

#TEST_DEFINES=-DDEBUG -DVERSION=\"$(VERSION)\" -DBSIZE=512 -DVISIBLE_PASSWD -DXMLRPC_INC=$(XMLRPC_INC) -DXMLRPC_VERSION_MAYOR=$(XMLRPC_VERSION_MAYOR) -DXMLRPC_VERSION_MINOR=$(XMLRPC_VERSION_MINOR)



SRCS	     := common.c \
		debug.c \
		devices.c \
		dpms.c \
		exe.c \
		get_screenshot.c \
		info.c \
		lockcontroller.c \
		lockscreen.c \
		login.c \
		pam-usb.c \
		pci.c \
		reboot_poweroff.c \
		rtp.c \
		simple-methods.c \
		sound.c \
		standalone.c \
		tnc.c \
		validate.c \
		vlc.c \
		vnc.c \
		xauth.c \
		xorg.c \
		config.c \
		tcosxmlrpc.c

# deleted parts
#		screenshot.c \
#

OBJS		:= $(SRCS:.c=.o)

message:
	@echo " * Building tcosxmlrpc"

cleanobjs:
	$(QUIET_CL)rm -f $(OBJS)

%.o: %.c
	$(QUIET_CC)$(GCC) -c ${CFLAGS} -Wno-unused-function ${DEFINES} -DTCOS_PATH=\"$(TCOS_PATH)\" $< -o $@

$(SERVER): $(OBJS)
	$(QUIET_LN)$(GCC) $(LDFLAGS) $(DEFINES) -o $(SERVER) $(CFLAGS) $(OBJS) $(LIBS)
	$(MAKE) cleanobjs

$(STANDALONE):
	$(MAKE) $(OBJS) TCOS_PATH=$(TCOS_BINS) IS_STANDALONE=1 CFLAGS+='-DIS_STANDALONE=1'
	$(QUIET_LN)$(GCC) $(LDFLAGS) $(DEFINES) -o $(STANDALONE) $(CFLAGS) $(LDFLAGS) $(OBJS) $(LIBS)
	$(MAKE) cleanobjs

$(TCOSPASSWD):
	$(QUIET_CC)$(GCC) $(DEFINES) $(CFLAGS) -o $(TCOSPASSWD) $(TCOSPASSWD).c -lcrypt



test2:
	@echo XMLRPC_INC=$(XMLRPC_INC)
	@echo XMLRPC_VERSION_MAYOR=$(XMLRPC_VERSION_MAYOR)
	@echo XMLRPC_VERSION_MINOR=$(XMLRPC_VERSION_MINOR)


clean:
	$(QUIET_CL)rm -f $(OBJS) $(SERVER) $(STANDALONE) $(TCOSPASSWD) var/log.txt var/log/* *~ image*.jpg image*png base64 sh/*~

install:
	install -d $(DESTDIR)/$(TCOS_BINS)
	install -d $(DESTDIR)/$(TCOS_DIR)/xmlrpc/
	install -d $(DESTDIR)/$(PREFIX)/sbin
    
	install -m 755 $(SERVER)       $(DESTDIR)/$(TCOS_BINS)/
	install -m 755 $(STANDALONE)   $(DESTDIR)/$(TCOS_BINS)/

	install -m 755 $(TCOSPASSWD) $(DESTDIR)/$(PREFIX)/sbin/$(TCOSPASSWD)
	install -m 755 sh/update-tcospasswd.sh $(DESTDIR)/$(PREFIX)/sbin/update-tcospasswd
	
	# Install tcosxmlrpc utils
	install -m 755 sh/screenshot.sh    $(DESTDIR)/$(TCOS_BINS)/
	install -m 755 sh/soundctl.sh      $(DESTDIR)/$(TCOS_BINS)/
	install -m 755 sh/configctl.sh      $(DESTDIR)/$(TCOS_BINS)/
	install -m 755 sh/getinfo.sh       $(DESTDIR)/$(TCOS_BINS)/
	install -m 755 sh/useallmodules.sh $(DESTDIR)/$(TCOS_BINS)/
	install -m 755 sh/devicesctl.sh    $(DESTDIR)/$(TCOS_BINS)/
	install -m 755 sh/tcos-dbus.py     $(DESTDIR)/$(TCOS_BINS)/tcos-dbus-helper
	install -m 755 sh/vnc-controller.sh  $(DESTDIR)/$(TCOS_BINS)/
	install -m 755 sh/vlc-controller.sh  $(DESTDIR)/$(TCOS_BINS)/
	install -m 755 sh/rtp-controller.sh  $(DESTDIR)/$(TCOS_BINS)/
	#install -m 755 sh/clone-controller.sh  $(DESTDIR)/$(TCOS_BINS)/
	#install -m 755 sh/clonerecv          $(DESTDIR)/$(TCOS_BINS)/
	#install -m 755 sh/clonesend          $(DESTDIR)/$(TCOS_BINS)/
	install -m 755 sh/tcos-last          $(DESTDIR)/$(TCOS_BINS)/
	install -m 755 sh/tcos-ftpclient           $(DESTDIR)/$(TCOS_BINS)/
	install -m 755 sh/pactl-controller.sh      $(DESTDIR)/$(TCOS_BINS)/
	install -m 755 sh/tcos-pam-usb.sh    $(DESTDIR)/$(TCOS_BINS)/

	install -m 644 var/etc/mime.types  $(DESTDIR)/$(TCOS_DIR)/xmlrpc/


	install -m 644 var/etc/abyss.conf  $(DESTDIR)/$(TCOS_DIR)/xmlrpc/
	sed -i 's|__TCOS_ROOT__|/|g' $(DESTDIR)/$(TCOS_DIR)/xmlrpc/abyss.conf
	sed -i 's|__TCOS_WWW__|/var/www|g' $(DESTDIR)/$(TCOS_DIR)/xmlrpc/abyss.conf
	sed -i 's|__TCOS_LOG__|/var/log|g' $(DESTDIR)/$(TCOS_DIR)/xmlrpc/abyss.conf
	sed -i 's|__TCOS_ETC__|/etc|g' $(DESTDIR)/$(TCOS_DIR)/xmlrpc/abyss.conf

	# standalone package
	install -d $(DESTDIR)/$(TCOS_STANDALONE_DIR)
	install -d $(DESTDIR)/$(TCOS_STANDALONE_DIR)/etc
	install -d $(DESTDIR)/$(TCOS_STANDALONE_DIR)/www
	install -d $(DESTDIR)/$(TCOS_STANDALONE_DIR)/log


	install -m 644 var/etc/abyss.conf       $(DESTDIR)/$(TCOS_STANDALONE_DIR)/etc/abyss-standalone.conf
	sed -i 's|__TCOS_ROOT__|$(TCOS_STANDALONE_DIR)|g' $(DESTDIR)/$(TCOS_STANDALONE_DIR)/etc/abyss-standalone.conf
	sed -i 's|__TCOS_WWW__|$(TCOS_STANDALONE_DIR)/www|g' $(DESTDIR)/$(TCOS_STANDALONE_DIR)/etc/abyss-standalone.conf
	sed -i 's|__TCOS_LOG__|$(TCOS_STANDALONE_DIR)/log|g' $(DESTDIR)/$(TCOS_STANDALONE_DIR)/etc/abyss-standalone.conf
	sed -i 's|__TCOS_ETC__|$(TCOS_STANDALONE_DIR)/etc|g' $(DESTDIR)/$(TCOS_STANDALONE_DIR)/etc/abyss-standalone.conf

	install -m 644 var/etc/mime.types       $(DESTDIR)/$(TCOS_STANDALONE_DIR)/etc/



	# stunnel4
	install -d $(DESTDIR)/$(TCOS_STANDALONE_DIR)/etc/stunnel
	install -d $(DESTDIR)/$(TCOS_STANDALONE_DIR)/lib/stunnel4/
	install -m 644 var/etc/stunnel/stunnel.conf         $(DESTDIR)/$(TCOS_STANDALONE_DIR)/etc/stunnel
	install -m 644 var/etc/stunnel/stunnel-custom.conf  $(DESTDIR)/$(TCOS_STANDALONE_DIR)/etc/stunnel

=== debian/changelog ===
tcos (0.89.90ubuntu1) quantal; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Drop dhcp3-server from Depends: following dhcp3-server to
      isc-dhcp-server transition.
    - xmlrpc/common.c:
      Comment out the memset implementation to allow inlining of memset from
      libc (fixes FTBFS with gcc-4.7).

 -- Logan Rosen <logatronico@gmail.com>  Wed, 08 Aug 2012 20:00:49 -0400

tcos (0.89.90) unstable; urgency=low

  * debian/initramfs-tools-tcos.postrm:
    - piuparts, don't call delgroup if can't
  * Add overlayfs as aufs alternative
  * hooks-addons/clean_initramfs: multiarch with libpci3
  * Simplify grep commands
  * Install conf/tcos.conf instead of conf/tcos.conf.etc
  * Use a global LIB_MULTIARCH var
  * tcos-standalone French translation, thanks to Julien Patriarca, (closes: #672135)

 -- Mario Izquierdo (mariodebian) <mariodebian@gmail.com>  Fri, 22 Jun 2012 13:42:53 +0200

=== debian/control ===
--- 
+++ 
@@ -126,7 +126,7 @@
 
 Package: tcos-tftp-dhcp
 Architecture: all
-Depends: atftpd, isc-dhcp-server | dhcp3-server | dhcp-server, ${misc:Depends}
+Depends: atftpd, isc-dhcp-server | dhcp-server, ${misc:Depends}
 Description: Metapackage to install TCOS with atftp and DHCP server
  This metapackage depends on atftp and a DHCP server to provide needed 
  daemons needed to run a TCOS server.

## tcos 0.89.90ubuntu2

=== lockscreen/Makefile ===
LOCK = lockscreen
XRES = screensize
LOCKVNC = lockvnc
LOCKVLC = lockvlc
WAITFORX = waitforX
SOURCES = lockscreen2.c
XRES_SOURCES = screensize.c
LOCKVNC_SOURCES = lockvnc.c
LOCKVLC_SOURCES = lockvlc.c
WAITFORX_SOURCES = waitforX.c
GXD=get-xdg-desktop
GXD_SOURCES=get-xdg-desktop.c
GXD_OPTS=-O2 -ansi -pedantic -Wall $(shell pkg-config --cflags --libs glib-2.0)
LIBS= -I/usr/lib
LOCKLIBS+=$(shell pkg-config --libs imlib2)
CFLAGS+=$(shell pkg-config --cflags imlib2)
LDADD+=-O2 -ansi -pedantic -Wall -lXaw $(LIBS) $(CFLAGS) -lX11 -lXext -lXt
LDADD_WAITFORX+=-O2 -ansi -pedantic -Wall -lX11 $(LIBS)
CC=gcc


all: $(LOCK) $(XRES) $(LOCKVNC) $(LOCKVLC) $(WAITFORX) $(GXD)

include ../common.mk


$(LOCK):
	$(QUIET_CC)$(CC) $(SOURCES) $(LOCKLIBS) $(LDADD) -o $(LOCK)

$(XRES):
	$(QUIET_CC)$(CC) $(XRES_SOURCES) $(LDADD) -o $(XRES)

$(LOCKVNC):
	$(QUIET_CC)$(CC) $(LOCKVNC_SOURCES) $(LDADD) -o $(LOCKVNC)

$(LOCKVLC):
	$(QUIET_CC)$(CC) $(LOCKVLC_SOURCES) $(LDADD) -o $(LOCKVLC)

$(WAITFORX):
	$(QUIET_CC)$(CC) $(WAITFORX_SOURCES) $(LDADD_WAITFORX) -o $(WAITFORX)

$(GXD):
	$(QUIET_CC)$(CC) $(GXD_SOURCES) $(GXD_OPTS) -o $(GXD)

clean:
	$(QUIET_CL)rm -f $(LOCK) $(XRES) $(LOCKVNC) $(LOCKVLC) $(WAITFORX) $(GXD) *~

debug: clean
	$(CC) $(WAITFORX_SOURCES) $(LDADD_WAITFORX) -o $(WAITFORX) -DDEBUG=1
	$(CC) $(SOURCES) $(LOCKLIBS) $(LDADD) -o $(LOCK) -DDEBUG=1
	$(CC) $(LOCKVNC_SOURCES) $(LDADD) -o $(LOCKVNC) -DDEBUG=1
	$(CC) $(LOCKVLC_SOURCES) $(LDADD) -o $(LOCKVLC) -DDEBUG=1

install:
	mkdir -p $(DESTDIR)/$(TCOS_BINS)
	mkdir -p $(DESTDIR)/$(PREFIX)/share/tcos-core/

	install -m 755 $(LOCK)        $(DESTDIR)/$(TCOS_BINS)/
	install -m 755 $(XRES)        $(DESTDIR)/$(TCOS_BINS)/
	install -m 755 $(LOCKVNC)   $(DESTDIR)/$(TCOS_BINS)/
	install -m 755 $(LOCKVLC)   $(DESTDIR)/$(TCOS_BINS)/
	install -m 755 $(WAITFORX)  $(DESTDIR)/$(TCOS_BINS)/
	install -m 755 $(GXD)       $(DESTDIR)/$(TCOS_BINS)/
	install -m 644 lockscreen.png $(DESTDIR)/$(PREFIX)/share/tcos-core/lockscreen.png

=== debian/changelog ===
tcos (0.89.90ubuntu2) saucy; urgency=low

  * Depend on the new package name: fuse-utils is renamed to fuse.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Tue, 28 May 2013 16:15:40 +0100

=== debian/control ===
--- 
+++ 
@@ -111,7 +111,7 @@
             dnsmasq | tcos-tftp-dhcp,
             tcosmonitor, tcosconfig, 
             ltspfs, 
-           fuse-utils, 
+           fuse, 
             pulseaudio-esound-compat | esound
 Description: Base package for install a TCOS (Thin client) server
  This is a system for generating thin client hosts using initramfs.

## tcos 0.89.93

=== debian/changelog ===
tcos (0.89.93) unstable; urgency=low

  * Bump standards version to 3.9.4, no changes needed
  * Fix debian/copyright format
    (lintian: unversioned copyright format uri)
  * Read fgets() result
  * Use build var TCOS_MULTIARCH
  * Use mkinitramfs temp dir instead of initramfs file to 
    avoid [intel|amd]-microcode in initrd.gz
  * Enable hardening build
  * Multiarch fixes
  * Use mke2fs for ext3 and ext4
  * Fix nvidia clean
  * Check for DESTDIR/scripts dir before cleaning
  * Read fgets() result in tnc/tcos-net-controller.c
  * Use mktemp file in squash creation log file

 -- Mario Izquierdo (mariodebian) <mariodebian@gmail.com>  Thu, 10 Oct 2013 16:29:03 +0200

tcos (0.89.92) unstable; urgency=low

  * Fix some multiarch and console-setup issues
  * Use ~/.Xauthority only if not empty
  * Replace fuse-utils with fuse package in Recommends, (closes: #698181)
  * Remove depends on python-eggtrayicon, (closes: #702105)
  * Remove -I/usr/lib in Makefiles, (closes: #722844)
  * Save multiarch during build

 -- Mario Izquierdo (mariodebian) <mariodebian@gmail.com>  Mon, 07 Oct 2013 15:22:53 +0200

tcos (0.89.91) unstable; urgency=low

  * Disable udevadm divert, fail on old versions
  * Fix pulseaudio parse version
  * Fix some multiarch libs, fix modprobe list (closes: #694870),
  * Use glx-alternative mesa instead of fix-nvidia-ati

 -- Mario Izquierdo (mariodebian) <mariodebian@gmail.com>  Wed, 02 Jan 2013 22:28:39 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: tcos
 Section: net
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Mario Izquierdo (mariodebian) <mariodebian@gmail.com>
+Maintainer: Mario Izquierdo (mariodebian) <mariodebian@gmail.com>
 Build-Depends: debhelper (>= 7.0.50~),
                python (>= 2.6.6-3~),
                libxmlrpc-c3-dev | libxmlrpc-core-c3-dev,
@@ -12,7 +11,7 @@
                pkg-config,
                libasound2-dev,
                libglib2.0-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Vcs-Git: http://tcosproject.org/git/tcos.git
 Vcs-Browser: http://tcosproject.org/cgit/tcos.git/
 Homepage: http://www.tcosproject.org
@@ -88,7 +87,6 @@
          openssl, 
          gksu, 
          python, 
-         python-eggtrayicon | python-gnome2-extras, 
          python-gtk2, 
          python-glade2, 
          ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}
@@ -111,7 +109,7 @@
             dnsmasq | tcos-tftp-dhcp,
             tcosmonitor, tcosconfig, 
             ltspfs, 
-           fuse, 
+            fuse, 
             pulseaudio-esound-compat | esound
 Description: Base package for install a TCOS (Thin client) server
  This is a system for generating thin client hosts using initramfs.
@@ -126,7 +124,7 @@
 
 Package: tcos-tftp-dhcp
 Architecture: all
-Depends: atftpd, isc-dhcp-server | dhcp-server, ${misc:Depends}
+Depends: atftpd, isc-dhcp-server | dhcp3-server | dhcp-server, ${misc:Depends}
 Description: Metapackage to install TCOS with atftp and DHCP server
  This metapackage depends on atftp and a DHCP server to provide needed 
  daemons needed to run a TCOS server.

## tcos 0.89.93ubuntu2

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,6 @@
 ##
 ##    mariodebian \/at\/ gmail \/dot\/ com
 ARCH:=$(shell dpkg-architecture -qDEB_BUILD_ARCH)
-
 
 all:
 	$(MAKE) -C hex2ascii
@@ -102,6 +101,9 @@
 	sed -i 's/__TCOS_DISTRO__/$(DISTRO_VERSION)/g' $(DESTDIR)/var/lib/tcos/version.conf
 	sed -i 's/__DISTRIBUTION__/$(DISTRO)/g'        $(DESTDIR)/var/lib/tcos/version.conf
 	sed -i 's/__TCOS_ARCH__/$(TCOS_ARCH)/g'        $(DESTDIR)/var/lib/tcos/version.conf
+	sed -i 's/__TCOS_MULTIARCH__/$(TCOS_MULTIARCH)/g'        $(DESTDIR)/var/lib/tcos/version.conf
+
+	install -m 755 bin/gentcos                               $(DESTDIR)/usr/sbin/
 
 
 	# tcos.conf templates

=== dbus/Makefile ===
DESTDIR:=/

all:
	@echo "  dbus: make all empty"

include ../common.mk

install:
	install -d  $(DESTDIR)$(DBUS_CONF)/
	install -m 644 tcosmonitor.conf    $(DESTDIR)$(DBUS_CONF)/

clean:
	$(QUIET_CL)rm -f  *~

=== hex2ascii/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 include ../common.mk
 
 hex2ascii:
-	$(QUIET_CC)$(GCC) hex2ascii.c -o hex2ascii $(CFLAGS) -Wall -ansi -pedantic
+	$(QUIET_CC)$(GCC) hex2ascii.c -o hex2ascii $(CFLAGS) $(LDFLAGS) -Wall -ansi -pedantic
 
 clean:
 	$(QUIET_CL)rm -f hex2ascii

=== lockscreen/Makefile ===
--- 
+++ 
@@ -10,12 +10,16 @@
 WAITFORX_SOURCES = waitforX.c
 GXD=get-xdg-desktop
 GXD_SOURCES=get-xdg-desktop.c
-GXD_OPTS=-O2 -ansi -pedantic -Wall $(shell pkg-config --cflags --libs glib-2.0)
-LIBS= -I/usr/lib
+
+GXD_OPTS=$(CFLAGS) $(LDFLAGS) -ansi -pedantic -Wall $(shell pkg-config --cflags --libs glib-2.0)
+
 LOCKLIBS+=$(shell pkg-config --libs imlib2)
 CFLAGS+=$(shell pkg-config --cflags imlib2)
-LDADD+=-O2 -ansi -pedantic -Wall -lXaw $(LIBS) $(CFLAGS) -lX11 -lXext -lXt
-LDADD_WAITFORX+=-O2 -ansi -pedantic -Wall -lX11 $(LIBS)
+
+LDADD+=$(LDFLAGS) -ansi -pedantic -Wall -lXaw $(CFLAGS) -lX11 -lXext -lXt
+
+LDADD_WAITFORX+=$(LDFLAGS) -ansi -pedantic -Wall -lX11
+
 CC=gcc

=== openvpn/Makefile ===
all:

include ../common.mk



install:
	install -d $(DESTDIR)$(OPENVPN_CONF)
	install -m 644 openssl.conf         $(DESTDIR)$(OPENVPN_CONF)/
	install -m 644 tcosserver.conf      $(DESTDIR)$(OPENVPN_CONF)/
	install -m 755 tcos-init-openvpn    $(DESTDIR)/usr/sbin/

=== session-cmd/Makefile ===
all:
	@echo "  session-cmd: make all empty"

include ../common.mk

clean:
	$(QUIET_CL)rm -f *~

install:
	install -m 755 session-cmd-send        $(DESTDIR)/${TCOS_BINS}/
	install -m 755 session-cmd-exec        $(DESTDIR)/${TCOS_BINS}/
	install -m 755 session-cmd-script      $(DESTDIR)/${TCOS_BINS}/
	install -m 644 session-cmd-common.sh   $(DESTDIR)/${TCOS_BINS}/

	mkdir -p $(DESTDIR)/etc/xdg/autostart/
	install -m 644 session-cmd.desktop     $(DESTDIR)/etc/xdg/autostart/

=== tcos-standalone/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-LANGUAGES=es ca@valencia pt_BR
+LANGUAGES=es ca@valencia pt_BR fr
 
 all: gmo

=== tmixer/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 DEBUGCFLAGS	+= -g -O2 -Wall
 CFLAGS		+= -g -O2 -Wall
 TVERSION	= -DTCOS_VERSION="\"$(VERSION)\""
-LDADD		+= -lasound -lm
+LDADD		+= $(LDFLAGS) -lasound -lm
 bin_PROGRAMS = tmixer
 TMIXER_SOURCES= tmixer-alsa.c tmixer-oss.c
 CC=gcc

=== tnc/Makefile ===
TNC = tnc
SOURCE = tcos-net-controller.c
#LIBS= -I/usr/lib
LDADD += $(LDFLAGS) -ansi -pedantic -Wall $(LIBS) $(CFLAGS)
GCC=gcc

all: $(TNC)

include ../common.mk


$(TNC):
	$(QUIET_CC)$(CC) $(SOURCE) $(CFLAGS) $(LDADD) -o $(TNC)

debug:
	$(CC) $(SOURCE) $(LDADD) -o $(TNC) -DDEVNULL="\"\"" -DDEBUG


clean:
	$(QUIET_CL)rm -f $(TNC) *~

install:
	mkdir -p $(DESTDIR)/$(TCOS_BINS)

	install -m 700 $(TNC)        $(DESTDIR)/$(TCOS_BINS)/

=== udev/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 
 mount-listener:
-	$(QUIET_CC)$(GCC) -Wall -O2 -o mount-listener mount_listener.c
+	$(QUIET_CC)$(GCC) -Wall $(CFLAGS) $(LDFLAGS) -o mount-listener mount_listener.c
 
 
 install:

=== xmlrpc/Makefile ===
--- 
+++ 
@@ -92,7 +92,7 @@
 	$(MAKE) cleanobjs
 
 $(TCOSPASSWD):
-	$(QUIET_CC)$(GCC) $(DEFINES) $(CFLAGS) -o $(TCOSPASSWD) $(TCOSPASSWD).c -lcrypt
+	$(QUIET_CC)$(GCC) $(DEFINES) $(CFLAGS) $(LDFLAGS) -o $(TCOSPASSWD) $(TCOSPASSWD).c -lcrypt

=== debian/changelog ===
tcos (0.89.93ubuntu2) trusty; urgency=medium

  * Update build-deps for the xmlrpc-c 1.33.06 transition.

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 22 Mar 2014 11:02:33 -0600

tcos (0.89.93ubuntu1) trusty; urgency=medium

  * Merge from debian, remaining changes:
    - Drop dhcp3-server from Depends: following dhcp3-server to
      isc-dhcp-server transition.
    - xmlrpc/common.c:
      Comment out the memset implementation to allow inlining of memset from
      libc (fixes FTBFS with gcc-4.7).

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 31 Dec 2013 18:46:36 +0000

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: tcos
 Section: net
 Priority: extra
-Maintainer: Mario Izquierdo (mariodebian) <mariodebian@gmail.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Mario Izquierdo (mariodebian) <mariodebian@gmail.com>
 Build-Depends: debhelper (>= 7.0.50~),
                python (>= 2.6.6-3~),
-               libxmlrpc-c3-dev | libxmlrpc-core-c3-dev,
+               libxmlrpc-core-c3-dev,
                libxau-dev,
                libxaw7-dev,
                libimlib2-dev,
@@ -124,7 +125,7 @@
 
 Package: tcos-tftp-dhcp
 Architecture: all
-Depends: atftpd, isc-dhcp-server | dhcp3-server | dhcp-server, ${misc:Depends}
+Depends: atftpd, isc-dhcp-server | dhcp-server, ${misc:Depends}
 Description: Metapackage to install TCOS with atftp and DHCP server
  This metapackage depends on atftp and a DHCP server to provide needed 
  daemons needed to run a TCOS server.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
CFLAGS+=$(CPPFLAGS)

%:
	dh $@ --with python2

test:
	make test
